class JavaFloatTest
{
	//--------------------------------------------------------------------------
	//Float test
	
	public static float Test(float param)
	{
		return 255.0f - param;
	}

	public static float[][][] Test3D(float[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = 255.0f - param[i1][i2][i3];
				}
			}
		}
		return param;
	}

	//--------------------------------------------------------------------------
	//Float Object test

	public static Float TestObj(Float param)
	{
		return new Float(255.0f - param.floatValue());
	}

	public static Float[][][] TestObj3D(Float[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = new Float(255.0f - param[i1][i2][i3].floatValue()); 
				}
			}
		}
		return param;
	}
}
